<!DOCTYPE html>
<html>

<head>
    {% include "links.html" ignore missing %}
    <title>Reading {{ curr_chap.chapter_name | default (value=curr_chap.chapter_number) }} | MD_Light</title>
</head>

<body>
    {% include "top-bar.html" ignore missing %}
    <div class="chap-info"> progress: {{ curr_chap.offset }} of {{total}} <br> {{ curr_chap.chapter_name }}</div>
    <!-- prev and next chapters -->
    <div class="change-chapter">
        {% if has_prev %}
        <a class="prev-chap chapter-button"
            href="/manga/{{manga_id}}/{{prev_chap.chapter_id}}/{{prev_chap.offset}}/{{prev_chap.language.lang}}">Prev
        </a>
        {% endif %}

        {% if has_next %}
        <a class="next-chap chapter-button"
            href="/manga/{{manga_id}}/{{next_chap.chapter_id}}/{{next_chap.offset}}/{{next_chap.language.lang}}">Next</a>
        {% endif %}
    </div>
    <!-- the chapter pages -->
    {% for page in chapter %}
    <div class="page_list" onsuspend="goFullscreen()">
        <img class="chapter_page" src="{{proxy_url}}{{page}}" alt="image not found">

    </div>

    {% endfor %}

    <!-- prev and next chapters -->
    <div class="change-chapter">

        {% if has_prev %}
        <a class="prev-chap chapter-button"
            href="/manga/{{manga_id}}/{{prev_chap.chapter_id}}/{{prev_chap.offset}}/{{prev_chap.language.lang}}">Prev

        </a>
        {% endif %}

        {% if has_next %}
        <a class="next-chap chapter-button"
            href="/manga/{{manga_id}}/{{next_chap.chapter_id}}/{{next_chap.offset}}/{{next_chap.language.lang}}">Next</a>
        {% endif %}
    </div>
    <div class="go-back">
        <a href="/manga/{{manga_id}}"><img src="/ressources/feather.svg"></a>
    </div>

</body>

</html>